--- swank.lisp	2009-03-04 13:58:36.732816000 +1300
+++ /cygdrive/c/home/temp/swank.lisp	2009-03-04 14:14:00.496750500 +1300
@@ -1776,7 +1776,12 @@
 
 (defun encode-message (message stream)
   (let* ((string (prin1-to-string-for-emacs message))
-         (length (length string)))
+         (length (+ (length string)
+                    ;; ABCL converts to appropriate newline formats on
+                    ;; write-string below, depending on OS
+                    #+(and :abcl :windows)
+                    (count #\Newline string
+                           :test 'char=))))
     (assert (<= length #xffffff))
     (log-event "WRITE: ~A~%" string)
     (let ((*print-pretty* nil))
